TeamTalk 5 C-API DLL: FileTransfer Struct Reference

TeamTalk 5 C-API DLL Version 5.14A

Public Attributes | List of all members
FileTransfer Struct Reference
Channel Properties

A struct containing the properties of a file transfer. More...

`#include <TeamTalk.h>`

## Public Attributes

FileTransferStatus | nStatus
| Status of file transfer. More...
INT32 | nTransferID
| The ID identifying the file transfer. More...
INT32 | nChannelID
| The channel where the file is/will be located. More...
TTCHAR | szLocalFilePath [TT_STRLEN]
| The file path on local disk. More...
TTCHAR | szRemoteFileName [TT_STRLEN]
| The filename in the channel. More...
INT64 | nFileSize
| The size of the file being transferred. More...
INT64 | nTransferred
| The number of bytes transferred so far. More...
TTBOOL | bInbound
| TRUE if download and FALSE if upload. More...

## Detailed Description

A struct containing the properties of a file transfer.

See also
  TT_GetFileTransferInfo

Definition at line 2605 of file TeamTalk.h.

## Member Data Documentation

## ◆ nStatus

FileTransferStatus FileTransfer::nStatus

Status of file transfer.

Definition at line 2608 of file TeamTalk.h.

## ◆ nTransferID

INT32 FileTransfer::nTransferID

The ID identifying the file transfer.

Definition at line 2610 of file TeamTalk.h.

## ◆ nChannelID

INT32 FileTransfer::nChannelID

The channel where the file is/will be located.

Definition at line 2612 of file TeamTalk.h.

## ◆ szLocalFilePath

TTCHAR FileTransfer::szLocalFilePath[TT_STRLEN]

The file path on local disk.

Definition at line 2614 of file TeamTalk.h.

## ◆ szRemoteFileName

TTCHAR FileTransfer::szRemoteFileName[TT_STRLEN]

The filename in the channel.

Definition at line 2616 of file TeamTalk.h.

## ◆ nFileSize

INT64 FileTransfer::nFileSize

The size of the file being transferred.

Definition at line 2618 of file TeamTalk.h.

## ◆ nTransferred

INT64 FileTransfer::nTransferred

The number of bytes transferred so far.

Definition at line 2620 of file TeamTalk.h.

## ◆ bInbound

TTBOOL FileTransfer::bInbound

TRUE if download and FALSE if upload.

Definition at line 2622 of file TeamTalk.h.